// Merlin supports the import and export of other file formats. Exports are initiated via the  File > Export...  menu.
// Imports are initiated by dragging files onto the Merlin icon in the dock or via the File > Open menu.

// *****************************************************************
// * Export
// *****************************************************************

// If an exporter is requested for a file type which is not supported by Merlin, this error is presented.
// This cannot be triggered by a user from within Merlin, only by a scripting action.
"error.export.noExporterForFileType.description"                            = "No exporter available for file type '%@'.";

"error.export.requiredViewConfigurationIsMissing.description"               = "A project view is required.";
"error.export.viewConfigurationIsNotSupported.description"                  = "The current view can not be exported in this format.";

// Options used in the configuration panel of many export formats which support the export of sub-projects.
"valueType.export.subProjectsMode.none"                                     = "None";
"valueType.export.subProjectsMode.inline"                                   = "Inline";
"valueType.export.subProjectsMode.inSeparateFiles"                          = "In separate files";

// Supported export formats with titles and descriptions

"net.projectwizards.merlin.exporter.merlinproject.title"                    = "Merlin Project";
"net.projectwizards.merlin.exporter.merlinproject.description"              = "Creates a Merlin Project document.";

"net.projectwizards.merlin.exporter.merlinoutline.title"                    = "Merlin Outline";
"net.projectwizards.merlin.exporter.merlinoutline.description"              = "Creates a Merlin Outline document.";

"net.projectwizards.merlin.exporter.csv.title"                              = "Text";
"net.projectwizards.merlin.exporter.csv.description"                        = "Exports project views as tabular text documents that can be viewed and edited in Microsoft Excel and other applications.";

"net.projectwizards.merlin.exporter.opml.title"                             = "OPML";
"net.projectwizards.merlin.exporter.opml.description"                       = "Exports project views as OPML files that can be viewed and edited in OmniOutliner and other applications.";

"net.projectwizards.merlin.exporter.yaml.title"                             = "YAML";
"net.projectwizards.merlin.exporter.yaml.description"                       = "Creates a YAML document that can be used for unit-testing.";

"net.projectwizards.merlin.exporter.xml.title"                              = "XML";
"net.projectwizards.merlin.exporter.xml.description"                        = "Creates a Merlin XML document.";

"net.projectwizards.merlin.exporter.msproject.title"                        = "MS Project";
"net.projectwizards.merlin.exporter.msproject.description"                  = "Creates a project document that can be viewed and edited in Microsoft Project and other applications.";
// These are notifications about problems which can arise during MS Project export.
// They are available to the user via the notifications panel.
"net.projectwizards.merlin.exporter.msproject.lostActivityConstraints"      = "Some of the date constraints/alignments have not been exported. MS Project only supports one constraint per activity.";
"net.projectwizards.merlin.exporter.msproject.lostAssignmentConstraints"    = "Date constraints/alignments have not been exported. MS Project does not support constraints on assignments.";
"net.projectwizards.merlin.exporter.msproject.incompatibleMaterialUnit"     = "The material units of some resources have been adjusted during export. MS Project does not allow every combination of characters.";
"net.projectwizards.merlin.exporter.msproject.lostOvertimeRates"            = "The overtime rates of material resources have not been exported. MS Project does not support them.";
"net.projectwizards.merlin.exporter.msproject.lostMaterialResourceCalendar" = "The calendars of some material resources have not been exported. MS Project does not support them.";
"net.projectwizards.merlin.exporter.msproject.overruledConstraints"         = "Some date constraints of activities have not been exported because they were in conflict with constraints on sub-activities. MS Project expects constraints to be conflict-free.";
"net.projectwizards.merlin.exporter.msproject.constraintsBeforeProjectStart"= "The constraint dates of some activities lie before the project start date. Merlin treats this situation differently than MS Project so their scheduled dates may differ.";
"net.projectwizards.merlin.exporter.msproject.constraintsAfterProjectEnd"   = "The constraint dates of some activities lie after the project end date. Merlin treats this situation differently than MS Project so their scheduled dates may differ.";
"net.projectwizards.merlin.exporter.msproject.yearsUnitNotSupported"        = "The units of some duration or work amounts were converted during export because MS Project does not support years as a unit.";

"net.projectwizards.merlin.exporter.novamind.title"                         = "NovaMind";
"net.projectwizards.merlin.exporter.novamind.description"                   = "Creates a document that can be viewed and edited in NovaMind 5.";

"net.projectwizards.merlin.exporter.mindmanager.title"                      = "MindManager";
"net.projectwizards.merlin.exporter.mindmanager.description"                = "Creates a document that can be viewed and edited in MindJet MindManager 8.";

"net.projectwizards.merlin.exporter.freemind.title"                         = "FreeMind";
"net.projectwizards.merlin.exporter.freemind.description"                   = "Creates a document that can be viewed and edited in FreeMind.";

"net.projectwizards.merlin.exporter.ical.title"                             = "Calendar";
"net.projectwizards.merlin.exporter.ical.description"                       = "Creates a calendar document that can be viewed and edited in OS X Calendar and other calendar applications.";
"valueType.export.ical.allDayEvents"                                        = "All-Day Events";
"valueType.export.ical.eventsWithTime"                                      = "Dated Events";
"valueType.export.ical.toDos"                                               = "To Dos";

// *****************************************************************
// * Import
// *****************************************************************

// If a user tries to import a file with an unsupported format, this error is presented.
"error.import.unsupportedFormat.description"                                = "This file format is not supported.";

// Used when trying to open a Merlin document with a major version number newer than the current version.
"error.import.newerFormat.description"                                      = "This document uses a newer, incompatible format.";
"error.import.newerFormat.recovery"                                         = "Please update to a newer Merlin version to open it.";

// Importers like CSV, OPML and OmniOutliner support the dynamic mapping of their columns to fields within Merlin.
// The mapping editor panel offers an option to decide whether a row should be converted into an Assignment instead of into an Activity.
"import.mapping.isAssignment"                                               = "Assignment";
"import.mapping.isAssignment.description"                                   = "A boolean field which if true imports a row as an assignment, otherwise as a regular activity.";

// Merlin Outliner does not have semantic main column by default. When an importer needs to create a main column,
// this is its default title.
"import.mapping.defaultCustomAttribute.title"                               = "Topic";

// These are notifications about problems which can arise during migration of older Merlin Project versions.
"net.projectwizards.merlin.importer.merlinproject.DroppedAssignmentDependencies" = "Dependencies from or to assignments were dropped because Merlin Project does not support them anymore. Scheduling may differ from Merlin Project 3.";

// These are notifications about problems which can arise during MS Project import.
// They are available to the user via the notifications panel.
"net.projectwizards.merlin.importer.msproject.costResources"                = "Cost resources have not been imported because Merlin Project does not support them. However, their assignment costs have been converted into base costs.";
"net.projectwizards.merlin.importer.msproject.ignoredValue.%@%@"            = "The value '%@' on element '%@' could not be imported and was ignored.";
"net.projectwizards.merlin.importer.msproject.nullTasks"                    = "Empty task rows were not imported because Merlin Project does not support this concept. Subsequent row numbers were changed by this. Note that outline or WBS codes can always be used as a stable reference to activities.";
"net.projectwizards.merlin.importer.msproject.relativeLags"                 = "Percentaged lags on dependencies were ignored. Merlin Project does not support this concept.";
"net.projectwizards.merlin.importer.msproject.convertedMilestones"          = "Milestones with non-zero work or duration or with unequal actual start and finish have been imported as regular activities because Merlin does not support these configurations.";
"net.projectwizards.merlin.importer.msproject.completedMilestones"          = "Milestones with 99% completion have been imported as being 100% complete as Merlin Project does not support this configuration.";
"net.projectwizards.merlin.importer.msproject.constraintsBeforeProjectStart"= "The constraint dates of some tasks lie before the project start date. Merlin Project treats this situation differently than MS Project so their scheduled dates may differ.";
"net.projectwizards.merlin.importer.msproject.constraintsAfterProjectEnd"   = "The constraint dates of some tasks lie after the project end date. Merlin Project treats this situation differently than MS Project so their scheduled dates may differ.";
"net.projectwizards.merlin.importer.msproject.invalidAssignments"           = "Assignments without a valid resource could not be imported and were ignored.";
"net.projectwizards.merlin.importer.msproject.contradictingActuals"         = "Actual start or finish dates on some activites have not been imported because they contradict the values on the assignments. Merlin Project does not support this configuration.";

// These are the names of the types of extended attributes in MS Project. They are used as default name of.
// imported user-defined fields when the user did not name them inside MS Project.
// We have taken the localizations from the different localized variants of MS Project
// as listed in https://www.microsoft.com/Language
"msproject.extendedAttribute.type.text"                                     = "Text";
"msproject.extendedAttribute.type.date"                                     = "Date";
"msproject.extendedAttribute.type.start"                                    = "Start";
"msproject.extendedAttribute.type.finish"                                   = "Finish";
"msproject.extendedAttribute.type.duration"                                 = "Duration";
"msproject.extendedAttribute.type.number"                                   = "Number";
"msproject.extendedAttribute.type.cost"                                     = "Cost";
"msproject.extendedAttribute.type.flag"                                     = "Flag";

// These notifications can arise during csv import if a field value cannot be imported.
// They are available to the user via the notifications panel.
"net.projectwizards.merlin.importer.csv.fieldValidationError.%@%@"          = "The text value '%@' could not be imported into column '%@'.";

// Possible options for the object type attribute of the CSV importer
"valueType.import.csv.objectType.activities"                                = "Activities";
"valueType.import.csv.objectType.resources"                                 = "Resources";

"net.projectwizards.merlin.importer.opml.fieldValidationError.%@%@"         = "The OPML value '%@' could not be imported into column '%@'.";

"net.projectwizards.merlin.importer.ical.fieldValidationError.%@%@"         = "The text value '%@' could not be imported into column '%@'.";

// These are notifications about problems which can arise during Merlin 2 import.
// They are available to the user via the notifications panel.
"net.projectwizards.merlin.importer.merlin2.1Merlin2NotAvailable"           = "In order to import this project with best results, an installation of Merlin 2 version 2.7.10 or newer is recommended.";
"net.projectwizards.merlin.importer.merlin2.2DroppedActualValues"           = "Without support from Merlin 2 all actual values of assignments and activities without an actual start date in the Merlin 2 file had to be dropped.";
"net.projectwizards.merlin.importer.merlin2.DroppedActualWorkOvertime"      = "To keep scheduling unchanged, actual overtime work has not been imported from Merlin 2. Financial results may differ from Merlin 2.";
"net.projectwizards.merlin.importer.merlin2.DroppedGivenRemainingDuration"  = "Given remaining duration has not been imported because Merlin Project does not support it. Scheduling may differ from Merlin 2.";
"net.projectwizards.merlin.importer.merlin2.CompleteWithoutActualEnd"       = "Activities and assignments with 100% completion but without actual end date have been imported from Merlin 2 as being 99% complete since Merlin Project now requires actual end dates on completed activities.";
"net.projectwizards.merlin.importer.merlin2.DroppedAssignmentDependencies"  = "Dependencies from or to assignments were dropped because Merlin Project does not support them anymore. Scheduling may differ from Merlin 2.";

"net.projectwizards.merlin.importer.omnioutliner.column.title"				= "Column";
"net.projectwizards.merlin.importer.omnioutliner.column.notes.title"        = "Notes";

"net.projectwizards.merlin.importer.mindmanager.encryptionError.description"= "Importing password-protected MindManager documents is not supported.";

// The OPML format does not allow the special characters # and % within outline headers.
// The exporter replaces them with these textual variants.
"net.projectwizards.merlin.exporter.opml.replacement.#"                     = "No.";
"net.projectwizards.merlin.exporter.opml.replacement.%"                     = "Percent";

// In its inspector, MindManager only presents default list values if they are present in the exported file.
// We therefore need to provide the list values MindManager itself adds when it creates a new document.
// For languages supported by MindManager, the localized values can be copied from MindManager itself.
"net.projectwizards.merlin.exporter.mindmanager.template.smileys"           = "Smileys";
"net.projectwizards.merlin.exporter.mindmanager.template.smileys.happy"     = "Happy";
"net.projectwizards.merlin.exporter.mindmanager.template.smileys.neutral"   = "Neutral";
"net.projectwizards.merlin.exporter.mindmanager.template.smileys.upset"     = "Upset";
"net.projectwizards.merlin.exporter.mindmanager.template.smileys.sad"       = "Sad";
"net.projectwizards.merlin.exporter.mindmanager.template.smileys.furious"   = "Furious";

"net.projectwizards.merlin.exporter.mindmanager.template.arrows"            = "Arrows";
"net.projectwizards.merlin.exporter.mindmanager.template.arrows.up"         = "Up";
"net.projectwizards.merlin.exporter.mindmanager.template.arrows.down"       = "Down";
"net.projectwizards.merlin.exporter.mindmanager.template.arrows.left"       = "Left";
"net.projectwizards.merlin.exporter.mindmanager.template.arrows.right"      = "Right";

"net.projectwizards.merlin.exporter.mindmanager.template.flags"             = "Flags";
"net.projectwizards.merlin.exporter.mindmanager.template.flags.yes"         = "Yes";
"net.projectwizards.merlin.exporter.mindmanager.template.flags.no"          = "No";
"net.projectwizards.merlin.exporter.mindmanager.template.flags.maybe"       = "Maybe";
"net.projectwizards.merlin.exporter.mindmanager.template.flags.discuss"     = "Discuss";
"net.projectwizards.merlin.exporter.mindmanager.template.flags.risk"        = "Risk";
"net.projectwizards.merlin.exporter.mindmanager.template.flags.move"        = "Move";
"net.projectwizards.merlin.exporter.mindmanager.template.flags.defer"       = "Defer";

"net.projectwizards.merlin.exporter.mindmanager.template.marker.pro"        = "Pro";
"net.projectwizards.merlin.exporter.mindmanager.template.marker.con"        = "Con";
"net.projectwizards.merlin.exporter.mindmanager.template.marker.question"   = "Question";
"net.projectwizards.merlin.exporter.mindmanager.template.marker.attention"  = "Attention";
"net.projectwizards.merlin.exporter.mindmanager.template.marker.decision"   = "Decision";
"net.projectwizards.merlin.exporter.mindmanager.template.marker.date"       = "Date";
"net.projectwizards.merlin.exporter.mindmanager.template.marker.cost"       = "Cost";
"net.projectwizards.merlin.exporter.mindmanager.template.marker.alarm"      = "Alarm";

"net.projectwizards.merlin.exporter.mindmanager.template.completion"        = "Task Complete (%)";
"net.projectwizards.merlin.exporter.mindmanager.template.completion.0%"     = "Task start";
"net.projectwizards.merlin.exporter.mindmanager.template.completion.25%"    = "Quarter done";
"net.projectwizards.merlin.exporter.mindmanager.template.completion.50%"    = "Half done";
"net.projectwizards.merlin.exporter.mindmanager.template.completion.75%"    = "Three quarters done";
"net.projectwizards.merlin.exporter.mindmanager.template.completion.100%"   = "Task done";

"net.projectwizards.merlin.exporter.mindmanager.template.priorities"        = "Task Priorities";
"net.projectwizards.merlin.exporter.mindmanager.template.priorities.1"      = "Priority 1";
"net.projectwizards.merlin.exporter.mindmanager.template.priorities.2"      = "Priority 2";
"net.projectwizards.merlin.exporter.mindmanager.template.priorities.3"      = "Priority 3";
"net.projectwizards.merlin.exporter.mindmanager.template.priorities.4"      = "Priority 4";
"net.projectwizards.merlin.exporter.mindmanager.template.priorities.5"      = "Priority 5";

"net.projectwizards.merlin.importer.msproject.error.unsupportedFormat.description.%@"   = "Unsupported file format: %@.";
"net.projectwizards.merlin.importer.msproject.error.unsupportedFormat.recovery"         = "Only the Microsoft Project 2000 to 2013 file formats are supported.";

// This error is created when a user tries to open a calendar file (.mprojectc) as a document.
"net.projectwizards.merlin.importer.xml.error.calendarFileAsProject.description"        = "Calendar files cannot be opened as projects.";
"net.projectwizards.merlin.importer.xml.error.calendarFileAsProject.recovery"           = "You can load calendar files as project calendars via the calendar tab in the project settings.";
